import { TagType, TagsListType, TagsType } from "../types";
export declare const INDEXABLE_PREFIX = "#";
export declare const CATEGORY_PREFIX = "+";
export declare const CONTENT_NOTICE_DEFAULT_PREFIX = "cn:";
export declare const CONTENT_NOTICE_PREFIXES: string[];
export declare const WHISPER_PREFIX = "\u00BB";
export declare const INDEXABLE_TAG_COLOR: string;
export declare const CATEGORY_TAG_COLOR: string;
export declare const CW_TAG_COLOR: string;
export declare const getDataForTagType: (tag: TagsType | TagType) => {
    symbol: string;
    color: string;
    type: TagType;
    accentColor: string;
} | {
    symbol: string;
    color: undefined;
    type: TagType;
    accentColor: string;
};
export declare class TagsFactory {
    static create(tag: TagsType): JSX.Element;
    static createProps(tag: TagsType): {
        name: string;
        compact: boolean;
        color: string | undefined;
        accentColor: string;
        symbol: string;
    };
    static getTagsFromTagObject(tagsObject?: TagsListType): TagsType[];
    static orderTags(tags: TagsType[]): TagsType[];
    static getTagDataFromString(tag: string, accentColor?: string): TagsType;
    static getTagTypeFromString(tag: string): TagType;
    static isTagValid(tag: string): boolean;
}
export default TagsFactory;
